New Chargeflow docs. Everything for merchants, platforms, and the API in one place.
Log in
Legacy (2024-03-18)Platforms (Connect) API

Disputes

Disputes management endpoints

GET
/public/2024-03-18/disputes
x-api-key<token>

Your Chargeflow API key, sent on every request. Generate one in the Chargeflow App, or see API keys.

In: header

Query Parameters

limit?number

Maximum number of disputes to return in a single response

Range1 <= value <= 100
Default15
offset?number

Number of disputes to skip for pagination

Range0 <= value
Default0
dateCreatedFrom?string

Filter disputes created after this date (ISO 8601 format)

dateCreatedTo?string

Filter disputes created before this date (ISO 8601 format)

amountFrom?number

Filter disputes with amount greater than or equal to this value

Range0 <= value
Default0
amountTo?number

Filter disputes with amount less than or equal to this value

Range0 <= value
Default1000
statusNames?string

Filter disputes by status (comma-separated values)

Value in

  • "won"
  • "lost"
  • "refunded"
  • "under_review"
  • "warning_under_review"
  • "needs_response"
  • "warning_needs_response"
  • "warning_awaiting_response"
  • "awaiting_response"
  • "warning_won"
  • "appealable"
  • "insured"
  • "open"
  • "action_required"
  • "processing"
reason?string

Filter disputes by reason (comma-separated values)

Value in

  • "bank_cannot_process"
  • "check_returned"
  • "credit_not_processed"
  • "customer_initiated"
  • "debit_not_authorized"
  • "duplicate"
  • "general"
  • "incorrect_account_details"
  • "insufficient_funds"
  • "product_not_received"
  • "product_unacceptable"
  • "not_received"
  • "not_as_described"
  • "subscription_canceled"
  • "canceled"
  • "duplicate_charge"
  • "payment_by_other_means"
  • "unrecognized"
  • "incorrect_amount"
  • "fraud"
  • "canceled_recurring_billing"
  • "other"
  • "problem_with_remittance"
  • "unauthorized"
processorNames?string

Filter disputes by payment processor (comma-separated values)

Value in

  • "stripe"
  • "shopify"
  • "klarna"
  • "afterpay"
  • "paypal"
  • "adyen"

Response Body

application/json

curl -X GET "https://example.com/public/2024-03-18/disputes?limit=10&offset=0"
{  "totalCount": 100,  "hasMore": true,  "data": [    {      "chargeflowDisputeId": "66e6ea9ecd94925a9f8060d9",      "dispute": {        "processorId": "PP-D-4012",        "processor": "paypal",        "amount": {          "value": 100,          "currency": "USD"        },        "status": "won",        "reason": "fraud",        "responseDueDate": "2021-01-01T00:00:00Z"      },      "transaction": {        "id": "123e4567-e89b-12d3-a456-426614174000",        "creationDate": "2021-01-01T00:00:00Z",        "source": "stripe",        "orderId": "4141404271159",        "customerEmail": "john@example.com"      }    }  ]}
POST
/public/2024-03-18/disputes
x-api-key<token>

Your Chargeflow API key, sent on every request. Generate one in the Chargeflow App, or see API keys.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/public/2024-03-18/disputes" \  -H "Content-Type: application/json" \  -d '{    "disputeId": "dp_1MykdxFtDWhhyHE1BFAV3osZ",    "creationDate": "2022-01-01T00:00:00Z",    "due_by": "2022-01-01T00:00:00Z",    "disputeAmount": 100,    "currency": "USD",    "processor": "Stripe, Shopify, Braintree etc.",    "isChargeRefundable": true,    "handleByChargeflow": true  }'
{  "requestId": "string"}
Was this page helpful?